Page MenuHomePhabricator

Create extension to provide functionality for creating and managing OAuth 2.0 clients from API Portal
Closed, ResolvedPublic

Description

  • name: WikimediaApiPortalOAuth
  • This extension is intended solely for use on the Wikimedia API Portal.
  • The API Portal will not be the central OAuth wiki, so it will need to communicate with that wiki by API for creating and managing OAuth 2.0 clients.
  • Provides UI elements to allow a user to request a new OAuth 2.0 client compatible with the Wikimedia API Gateway.
    • Defaults many of the OAuth 2.0 client parameters to acceptable values for the Wikimedia API Gateway.
  • Provides client code for making an API request to the central OAuth wiki (e.g. meta.wikimedia.org) to propose a new OAuth 2.0 client.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2020, 2:18 PM
Base added a subscriber: Base.Apr 28 2020, 2:30 PM

Change 608687 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[mediawiki/tools/release@master] Start branching WikimediaApiPortal skin and WikimediaApiPortalOAuth extension

https://gerrit.wikimedia.org/r/c/mediawiki/tools/release/ /608687

Change 608687 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching WikimediaApiPortal skin and WikimediaApiPortalOAuth extension

https://gerrit.wikimedia.org/r/c/mediawiki/tools/release/ /608687

Change 609206 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - I: Add i18n

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609206

Change 609210 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - II: Add flag to IS

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609210

Change 609211 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - III: Install where enabled

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609211

Change 609215 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - IV: Enable on Beta Cluster

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609215

@ItSpiderman: please confirm what configuration settings are needed for WikimediaApiPortalOAuth in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/609211.

Change 597553 had a related patch set uploaded (by Alex Paskulin; owner: ItSpiderman):
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Init

https://gerrit.wikimedia.org/r/597553

Change 614841 had a related patch set uploaded (by Ppchelko; owner: Clarakosi):
[mediawiki/extensions/OAuthRateLimiter@master] Initial commit with extension.json and boilerplate setup

https://gerrit.wikimedia.org/r/614841

Change 614841 abandoned by Ppchelko:
[mediawiki/extensions/OAuthRateLimiter@master] Initial commit with extension.json and boilerplate setup

Reason:
Ouch

https://gerrit.wikimedia.org/r/614841

Change 614845 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Setup extension.json and other boilerplate

https://gerrit.wikimedia.org/r/614845

Change 614845 merged by jenkins-bot:
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Setup extension.json and other boilerplate

https://gerrit.wikimedia.org/r/614845

Change 609206 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - I: Add i18n

https://gerrit.wikimedia.org/r/609206

Change 609210 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - II: Add flag to IS

https://gerrit.wikimedia.org/r/609210

Change 609211 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - III: Install where enabled

https://gerrit.wikimedia.org/r/609211

Change 609215 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - IV: Enable on Beta Cluster

https://gerrit.wikimedia.org/r/609215

apaskulin removed Art.tsymbar as the assignee of this task.Aug 19 2020, 9:02 PM
apaskulin added subscribers: Art.tsymbar, apaskulin.

Moving this patch to work-in-progress and un-assigning Art

WDoranWMF raised the priority of this task from Medium to High.Sep 8 2020, 3:28 PM

Change 597553 merged by jenkins-bot:
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Initial implementation

https://gerrit.wikimedia.org/r/597553

apaskulin closed this task as Resolved.Sep 29 2020, 10:22 PM

Thanks, Art! Confirmed that the extension is ready to test on beta. We'll be tracking acceptance testing in T261702